﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNet.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using DemoBugKendoGridRC1.Models;

namespace DemoBugKendoGridRC1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Error()
        {
            return View("~/Views/Shared/Error.cshtml");
        }

        public JsonResult Get([DataSourceRequest] DataSourceRequest request)
        {
            var entities = new List<Buyer>() {
                new Buyer {Id = 1, LegalIdentifier = "12345", Name = "Buyer1", Date= DateTime.UtcNow },
                new Buyer { Id = 2, LegalIdentifier = "67890", Name = "Buyer2", Date= DateTime.UtcNow }
            };
            return Json(entities.ToDataSourceResult(request));
        }
    }
}
